Subject: Re: [PATCH 1/1] net: phy: marvell: Fixed handing of delays with plain RGMII interface

From: Marek Behún <[email-masked]>
Date: Tue, 29 Jun 2021 02:23:35 +0200

On Mon, 28 Jun 2021 19:09:49 -0400
Kurt Cancemi <[email-masked]> wrote:

> I’m sorry if I proposed this wrong (I am new to the kernel mailing list), I
> acknowledge that this is probably not the way to fix the problem, I wanted
> to discuss why my fix is necessary. In the cover email I explained that I
> used (in the device tree) “rgmii-id” for the “phy-connection-type” and the
> DPAA memac correctly reports that the PHY type is “PHY_INTERFACE_MODE_RGMII_ID”
> but without my patch the RX and TX delay flags are not set on the
> underlying Marvell PHY and I receive RX and TX errors on every network
> request. Maybe there is some type of incompatibility between the Freescale
> DPAA1 Ethernet driver and the Marvell PHY?

Which driver again?
  drivers/net/ethernet/freescale/dpaa
or
  drivers/net/ethernet/freescale/dpaa2
?